=== modified file 'ivle/conf/apps.py'
--- ivle/conf/apps.py	2009-02-05 14:24:58 +0000
+++ ivle/conf/apps.py	2009-02-06 07:11:36 +0000
@@ -29,9 +29,9 @@
                 repr(self.hashelp)))
 
 # Directory where app icons are stored, relative to the IVLE root.
-app_icon_dir = "media/images/apps"
+app_icon_dir = "+media/ivle.webapp.core/images/apps"
 # Small version of icons (16x16, for favicon)
-app_icon_dir_small = "media/images/apps/small"
+app_icon_dir_small = "+media/ivle.webapp.core/images/apps/small"
 
 # Which application to load by default (if the user navigates to the top level
 # of the site). This is the app's URL name.

=== modified file 'ivle/dispatch/__init__.py'
--- ivle/dispatch/__init__.py	2009-02-06 05:32:02 +0000
+++ ivle/dispatch/__init__.py	2009-02-06 07:11:36 +0000
@@ -50,6 +50,7 @@
 
 # XXX List of plugins, which will eventually be read in from conf
 plugins_HACK = [
+    'ivle.webapp.core#Plugin',
     'ivle.webapp.admin.user#Plugin',
     'ivle.webapp.tutorial#Plugin',
     'ivle.webapp.admin.subject#Plugin',

=== added file 'ivle/webapp/core.py'
--- ivle/webapp/core.py	1970-01-01 00:00:00 +0000
+++ ivle/webapp/core.py	2009-02-06 07:11:36 +0000
@@ -0,0 +1,24 @@
+# IVLE - Informatics Virtual Learning Environment
+# Copyright (C) 2009 The University of Melbourne
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+
+# Author: Will Grant
+
+from ivle.webapp.base.plugins import BasePlugin
+
+class Plugin(BasePlugin):
+    '''Plugin class for IVLE common media.'''
+    media = 'coremedia'

=== added directory 'ivle/webapp/coremedia'
=== added directory 'ivle/webapp/coremedia/images'
=== renamed file 'www/media/images/README' => 'ivle/webapp/coremedia/images/README'
--- www/media/images/README	2008-03-15 02:15:55 +0000
+++ ivle/webapp/coremedia/images/README	2009-02-06 07:11:36 +0000
@@ -1,11 +1,7 @@
-Images from Nuvola icon set, with exceptions.
-
 mime/py.png, mime/large/py.png:
     Built from "empty" icon from Nuvola plus the Official Python Logo.
 mime/large/multi.png:
     Built from "txt" icon from Nuvola, shrunk a bit and duplicated 3 times.
-tutorial/incomplete.png:
-    Built from "ledgreen" icon from Nuvola, dropped saturation to 0.
 
 All files in mime/large: Reduced from 128x128 to 96x96 with ImageMagick.
 mime/dir.png: Reduced from 128x128 to 16x16 with ImageMagick.

=== renamed directory 'www/media/images/apps' => 'ivle/webapp/coremedia/images/apps'
=== renamed directory 'www/media/images/interface' => 'ivle/webapp/coremedia/images/interface'
=== renamed directory 'www/media/images/mime' => 'ivle/webapp/coremedia/images/mime'
=== renamed directory 'www/media/images/svn' => 'ivle/webapp/coremedia/images/svn'
=== modified file 'ivle/webapp/filesystem/browser/__init__.py'
--- ivle/webapp/filesystem/browser/__init__.py	2009-02-05 01:44:20 +0000
+++ ivle/webapp/filesystem/browser/__init__.py	2009-02-06 07:11:36 +0000
@@ -49,23 +49,15 @@
             req.throw_redirect(util.make_path(redirectPath))
 
         # Set request attributes
-        req.styles = [
-            "/media/browser/browser.css",
-            "/media/browser/listing.css",
-            "/media/browser/editor.css",
-        ]
-        req.scripts = [
-            "/media/common/json2.js",
-            "/media/common/codepress/codepress.js",
-            "/media/common/util.js",
-            "/media/browser/browser.js",
-            "/media/browser/listing.js",
-            "/media/browser/editor.js",
-            "/media/browser/specialhome.js",
-        ]
-        req.scripts_init = [
-            "browser_init",
-        ]
+        self.plugin_styles[Plugin] = ['browser.css',
+                                      'listing.css',
+                                      'editor.css']
+        self.plugin_scripts[Plugin] = ['browser.js',
+                                       'listing.js',
+                                       'editor.js',
+                                       'specialhome.js']
+        req.scripts = ["/media/common/codepress/codepress.js"]
+        req.scripts_init = ["browser_init"]
 
         # The page title should contain the name of the file being browsed
         req.title = self.path.rsplit('/', 1)[-1]
@@ -172,3 +164,5 @@
         ('files/*(path)', BrowserView),
         ('files/', BrowserView),
     ]
+
+    media = 'media'

=== renamed directory 'www/media/browser' => 'ivle/webapp/filesystem/browser/media'
=== modified file 'ivle/webapp/filesystem/browser/media/browser.js'
--- www/media/browser/browser.js	2009-01-22 02:14:14 +0000
+++ ivle/webapp/filesystem/browser/media/browser.js	2009-02-06 07:11:36 +0000
@@ -55,8 +55,8 @@
 default_type_icon = "txt.png";
 
 /* Relative to IVLE root */
-type_icons_path = "media/images/mime";
-type_icons_path_large = "media/images/mime/large";
+type_icons_path = "+media/ivle.webapp.core/images/mime";
+type_icons_path_large = "+media/ivle.webapp.core/images/mime/large";
 
 /* Mapping SVN status to icons, just the file's basename */
 svn_icons = {
@@ -87,9 +87,9 @@
 default_svn_icon = null;
 default_svn_nice = "Unknown status";
 
-svn_icons_path = "media/images/svn";
+svn_icons_path = "+media/ivle.webapp.core/images/svn";
 
-published_icon = "media/images/interface/published.png";
+published_icon = "+media/ivle.webapp.core/images/interface/published.png";
 
 /* List of MIME types considered "executable" by the system.
  * Executable files offer a "run" link, implying that the "serve"

=== modified file 'ivle/webapp/filesystem/browser/media/listing.css'
--- www/media/browser/listing.css	2008-08-05 02:06:49 +0000
+++ ivle/webapp/filesystem/browser/media/listing.css	2009-02-06 07:11:36 +0000
@@ -206,11 +206,11 @@
 
 /* Top Level Directory Icons */
 li.listing-dir {
-    list-style-image: url(../images/mime/dir.png);
+    list-style-image: url(../ivle.webapp.core/images/mime/dir.png);
 }
 
 li.listing-loading {
-    list-style-image: url(../images/interface/loading.gif);
+    list-style-image: url(../ivle.webapp.core/images/interface/loading.gif);
 }
 
 span.status {

=== added file 'ivle/webapp/tutorial/media/images/README'
--- ivle/webapp/tutorial/media/images/README	1970-01-01 00:00:00 +0000
+++ ivle/webapp/tutorial/media/images/README	2009-02-06 07:11:36 +0000
@@ -0,0 +1,4 @@
+Images from Nuvola icon set, with exceptions.
+
+incomplete.png:
+    Built from "ledgreen" icon from Nuvola, dropped saturation to 0.

=== modified file 'ivle/webapp/tutorial/media/tutorial.js'
--- ivle/webapp/tutorial/media/tutorial.js	2009-02-06 05:19:34 +0000
+++ ivle/webapp/tutorial/media/tutorial.js	2009-02-06 07:11:36 +0000
@@ -529,7 +529,7 @@
                     opt.appendChild(document.createTextNode(" "));
                     var img = document.createElement("img");
                     img.setAttribute("src",
-                        make_path("media/images/tutorial/tiny/complete.png"));
+                        make_path("+media/ivle.webapp.tutorial/images/tiny/complete.png"));
                     img.setAttribute("alt", "Complete");
                     opt.appendChild(img);
                 }

=== removed directory 'www/media/images'
=== modified file 'www/plugins/console/__init__.py'
--- www/plugins/console/__init__.py	2009-02-02 04:00:25 +0000
+++ www/plugins/console/__init__.py	2009-02-06 07:11:36 +0000
@@ -59,8 +59,9 @@
     """
     ctx = genshi.template.Context()
     ctx['windowpane'] = windowpane
-    ctx['minimize_path'] = util.make_path("media/images/interface/minimize.png") 
-    ctx['maximize_path'] = util.make_path("media/images/interface/maximize.png")
+    image_path = "+media/ivle.webapp.core/images/interface/"
+    ctx['minimize_path'] = util.make_path(image_path + "minimize.png")
+    ctx['maximize_path'] = util.make_path(image_path + "maximize.png")
     loader = genshi.template.TemplateLoader(".", auto_reload=True)
     tmpl = loader.load(util.make_local_path("plugins/console/template.html"))
     #TODO: Make the dispatch render this

